McDSP Classic Pack HD v4 to v6 Upgrade - Music Production Plug-In Bundle (Download)

McDSP Classic Pack HD v4 to v6 Upgrade - Music Production Plug-In Bundle (Download)

McDSP Classic Pack HD v4 to v6 Upgrade - Music Production Plug-In Bundle (Download)

B&H # MCMUCPHD46 MFR # M-U-CPHD4-6
Electronic Download
Emailed within 1-3 Business Days

Product Highlights

  • Upgrade from Classic Pack HD v4
  • 4 x Audio Processor Plug-Ins
  • Dynamics, EQ
  • Tape Machines, Channel Amplifiers
  • AAX DSP, AAX Native, Audio Units, VST
  • Mac OS X, Windows
Show moreShow less

Versions: HD v4 to v6 Upgrade

Full

Electronic Download

HD v4 to v6 Upgrade HD v5 to v6 Upgrade

Electronic Download

This item is noncancelable and nonreturnable.

$0 VA Sales Tax Collected on This Item
$99.00
Add to Wish List Item in Wish List

McDSP M-U-CPHD4-6 overview

  • 1Description

The Classic Pack HD v4 to v6 Upgrade from McDSP is a bundle of four audio plug-ins that feature emulations of vintage equalizers, dynamics processors, tape machines, and channel amplifiers.

The HD bundle provides AAX DSP plug-ins for use with Pro Tools | HD, but also includes AAX Native, Audio Units, and VST versions for use with other DAWs including Logic, Digital Performer, Cubase, and Ableton Live.

Note: This item is for registered users of Classic Pack HD v4 who wish to upgrade to Classic Pack HD v6.

Included Plug-Ins
  • Analog Channel
  • CompressorBank
  • FilterBank
  • MC2000
Table of Contents
  • 1Description

McDSP M-U-CPHD4-6 specs

System Requirements HD plug-ins are compatible with Pro Tools, Pro Tools | HD, Logic 9 and Logic X, Cubase, Nuendo, Ableton Live, Digital Performer, Studio One, and other DAWs that support AAX DSP, AAX Native, Audio Units, VST and/or VST3 plug-in formats

AAX 
Requires Windows 7 or later, Mac OS 10.7.2 or later, and supports Pro Tools 10.3.8 or later, 11.1.3 or later, and Pro Tools 12.x or later

Audio Units
Requires Mac OS 10.7.2 or later, and supports Logic 9 and Logic X, Digital Performer, Abelton Live, and other AU compatible DAWs

VST and VST3
Requires Windows 7 or later, Mac OS 10.7.2 or later, and supports Cubase 7.x or
later, Nuendo 6.5.x or later, and other VST and VST3 compatible DAWs

HD Plug-Ins
Also supports the VENUE systems on D-Show, Profile, and SC48 hardware, with some exceptions

iLok2 USB Smart Key for authorization

McDSP plug-ins work with iLok Cloud. AAX, AU and VST plug-ins work with iLok Cloud.

McDSP M-U-CPHD4-6 reviews

Be the first to review this item

McDSP M-U-CPHD4-6 Q&A

McDSP M-U-CPHD4-6 accessories